Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml
Class XMLConstants

    java.lang.Object
      javax.xml.XMLConstants

    public final class XMLConstants

extends Object

Utility class to contain basic XML values as constants.

Since:
  1.5
See Also:
  Extensible Markup Language (XML) 1.1, Extensible Markup Language (XML) 1.0 (Second Edition), XML 1.0 Second Edition Specification Errata, Namespaces in XML 1.1, Namespaces in XML, Namespaces in XML Errata, XML Schema Part 1: Structures

Field Summary
`static String` | `DEFAULT_NS_PREFIX` Prefix to use to represent the default XML Namespace.
`static String` | `FEATURE_SECURE_PROCESSING` Feature for secure processing.
`static String` | `NULL_NS_URI` Namespace URI to use to represent that there is no Namespace.
`static String` | `RELAXNG_NS_URI` RELAX NG Namespace URI.
`static String` | `W3C_XML_SCHEMA_INSTANCE_NS_URI` W3C XML Schema Instance Namespace URI.
`static String` | `W3C_XML_SCHEMA_NS_URI` W3C XML Schema Namespace URI.
`static String` | `W3C_XPATH_DATATYPE_NS_URI` W3C XPath Datatype Namespace URI.
`static String` | `XML_DTD_NS_URI` XML Document Type Declaration Namespace URI as an arbitrary value.
`static String` | `XML_NS_PREFIX` The official XML Namespace prefix.
`static String` | `XML_NS_URI` The official XML Namespace name URI.
`static String` | `XMLNS_ATTRIBUTE` The official XML attribute used for specifying XML Namespace declarations.
`static String` | `XMLNS_ATTRIBUTE_NS_URI` The official XML attribute used for specifying XML Namespace declarations, `XMLConstants.XMLNS_ATTRIBUTE`, Namespace name URI.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_NS_URI

    public static final String NULL_NS_URI

  Namespace URI to use to represent that there is no Namespace.

  Defined by the Namespace specification to be "".

  See Also:
    Namespaces in XML, 5.2 Namespace Defaulting, Constant Field Values

### DEFAULT_NS_PREFIX

    public static final String DEFAULT_NS_PREFIX

  Prefix to use to represent the default XML Namespace.

  Defined by the XML specification to be "".

  See Also:
    Namespaces in XML, 3. Qualified Names, Constant Field Values

### XML_NS_URI

    public static final String XML_NS_URI

  The official XML Namespace name URI.

  Defined by the XML specification to be "`http://www.w3.org/XML/1998/namespace`".

  See Also:
    Namespaces in XML, 3. Qualified Names, Constant Field Values

### XML_NS_PREFIX

    public static final String XML_NS_PREFIX

  The official XML Namespace prefix.

  Defined by the XML specification to be "`xml`".

  See Also:
    Namespaces in XML, 3. Qualified Names<, Constant Field Values

### XMLNS_ATTRIBUTE_NS_URI

    public static final String XMLNS_ATTRIBUTE_NS_URI

  The official XML attribute used for specifying XML Namespace declarations, `XMLConstants.XMLNS_ATTRIBUTE`, Namespace name URI.

  Defined by the XML specification to be "`http://www.w3.org/2000/xmlns/`".

  See Also:
    Namespaces in XML, 3. Qualified Names, Namespaces in XML Errata, Constant Field Values

### XMLNS_ATTRIBUTE

    public static final String XMLNS_ATTRIBUTE

  The official XML attribute used for specifying XML Namespace declarations.

  It is NOT valid to use as a prefix. Defined by the XML specification to be "`xmlns`".

  See Also:
    Namespaces in XML, 3. Qualified Names, Constant Field Values

### W3C_XML_SCHEMA_NS_URI

    public static final String W3C_XML_SCHEMA_NS_URI

  W3C XML Schema Namespace URI.

  Defined to be "`http://www.w3.org/2001/XMLSchema`".

  See Also:
    XML Schema Part 1: Structures, 2.6 Schema-Related Markup in Documents Being Validated, Constant Field Values

### W3C_XML_SCHEMA_INSTANCE_NS_URI

    public static final String W3C_XML_SCHEMA_INSTANCE_NS_URI

  W3C XML Schema Instance Namespace URI.

  Defined to be "`http://www.w3.org/2001/XMLSchema-instance`".

  See Also:
    XML Schema Part 1: Structures, 2.6 Schema-Related Markup in Documents Being Validated, Constant Field Values

### W3C_XPATH_DATATYPE_NS_URI

    public static final String W3C_XPATH_DATATYPE_NS_URI

  W3C XPath Datatype Namespace URI.

  Defined to be "`http://www.w3.org/2003/11/xpath-datatypes`".

  See Also:
    XQuery 1.0 and XPath 2.0 Data Model, Constant Field Values

### XML_DTD_NS_URI

    public static final String XML_DTD_NS_URI

  XML Document Type Declaration Namespace URI as an arbitrary value.

  Since not formally defined by any existing standard, arbitrarily define to be "`http://www.w3.org/TR/REC-xml`".

  See Also:
    Constant Field Values

### RELAXNG_NS_URI

    public static final String RELAXNG_NS_URI

  RELAX NG Namespace URI.

  Defined to be "`http://relaxng.org/ns/structure/1.0`".

  See Also:
    RELAX NG Specification, Constant Field Values

### FEATURE_SECURE_PROCESSING

    public static final String FEATURE_SECURE_PROCESSING

  Feature for secure processing.

  - `true` instructs the implementation to process XML securely. This may set limits on XML constructs to avoid conditions such as denial of service attacks.
  - `false` instructs the implementation to process XML acording the letter of the XML specifications ingoring security issues such as limits on XML constructs to avoid conditions such as denial of service attacks.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.